/*
 *
 * [desc.]
 */
#include "Tools/Viewer/Bdd/include/Architecture.h"

namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     

  morpheo::tools::viewer::bdd::Component Architecture::getComponent(string v){
    int index=listcomp->indexOf(v,0);
    if(index!=-1)
      return components->operator[](index);
    else
      return Component(NULL,NULL,0,0,0,0);
  }
};//end bdd
};//end viewer
};//end tools
};//end morpheo
